org.richfaces.component

## Class UISubTable

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIData
      - - org.ajax4jsf.component.UIDataAdaptor
        - - org.ajax4jsf.component.SequenceDataAdaptor
          - - org.richfaces.component.UIDataTable
            - - org.richfaces.component.UISubTable

- All Implemented Interfaces:
    javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxChildrenEncoder, org.ajax4jsf.component.AjaxDataEncoder, org.richfaces.component.Column, org.richfaces.component.Row
  Direct Known Subclasses:
    HtmlSubTable

      public abstract class UISubTable
      extends UIDataTable
      implements org.richfaces.component.Row

  JSF component class

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.ajax4jsf.component.UIDataAdaptor

      `org.ajax4jsf.component.UIDataAdaptor.ComponentVisitor, org.ajax4jsf.component.UIDataAdaptor.IndexedEvent`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.ajax4jsf.component.UIDataAdaptor

      `COMPONENT_STATE_ATTRIBUTE, decodeVisitor, EMPTY_MODEL, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UISubTable()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Iterator<javax.faces.component.UIComponent>` | `columns()`
    `java.util.Iterator<javax.faces.component.UIComponent>` | `fixedChildren()`
    `java.lang.String` | `getSortExpression()`
    `boolean` | `isBreakBefore()`
    `void` | `setBreakBefore(boolean newBreakBefore)`
    `void` | `setSortExpression(java.lang.String sortExpression)`

    - ### Methods inherited from class org.richfaces.component.UIDataTable

      `createDataModel, dataChildren, getSortMode, getSortPriority, restoreState, saveState, setSortMode, setSortPriority`

    - ### Methods inherited from class org.ajax4jsf.component.SequenceDataAdaptor

      `createComponentState, getDataModel, setDataModel`

    - ### Methods inherited from class org.ajax4jsf.component.UIDataAdaptor

      `addAjaxKeyEvent, addRequestKey, beforeRenderResponse, broadcast, broadcastLocal, captureOrigValue, captureOrigValue, clearRequestKeysSet, containsRequestKey, encodeAjaxChild, encodeBegin, extractKeySegment, getAjaxKeys, getAllAjaxKeys, getBaseClientId, getChildrenRenderer, getChildState, getClientId, getComponentState, getEncodedIds, getExtendedDataModel, getRowCount, getRowData, getRowIndex, getRowKey, getRowKeyConverter, getRowKeyVar, getStateVar, getValue, invocableChildren, invokeOnComponent, isRowAvailable, iterate, keepSaved, processDecodes, processDecodes, processUpdates, processUpdates, processValidators, processValidators, queueEvent, removeRequestKey, resetComponent, resetDataModel, restoreChildState, restoreOrigValue, restoreOrigValue, saveChildState, setAjaxKeys, setComponentState, setExtendedDataModel, setId, setParent, setRowIndex, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setupVariable, setValue, walk`

    - ### Methods inherited from class javax.faces.component.UIData

      `getFamily, getFirst, getFooter, getHeader, getRows, getVar, setFirst, setFooter, setHeader, setRows, setValueBinding, setValueExpression, setVar`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setRendered, setRendererType, setTransient`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.Column

      `getFilterMethod, getFilterValue, getSortOrder, isSelfSorted, isSortable, setFilterMethod, setFilterValue, setSelfSorted, setSortable, setSortOrder`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UISubTable

          public UISubTable()

  - ### Method Detail

    - #### fixedChildren

          public java.util.Iterator<javax.faces.component.UIComponent> fixedChildren()

      Overrides:
        `fixedChildren` in class `UIDataTable`

    - #### isBreakBefore

          public boolean isBreakBefore()

      Specified by:
        `isBreakBefore` in interface `org.richfaces.component.Column`

    - #### setBreakBefore

          public void setBreakBefore(boolean newBreakBefore)

      Specified by:
        `setBreakBefore` in interface `org.richfaces.component.Column`

    - #### columns

          public java.util.Iterator<javax.faces.component.UIComponent> columns()

      Specified by:
        `columns` in interface `org.richfaces.component.Row`
      Overrides:
        `columns` in class `UIDataTable`

    - #### getSortExpression

          public java.lang.String getSortExpression()

      Specified by:
        `getSortExpression` in interface `org.richfaces.component.Column`
      Returns:
        the sortExpression

    - #### setSortExpression

          public void setSortExpression(java.lang.String sortExpression)

      Specified by:
        `setSortExpression` in interface `org.richfaces.component.Column`
      Parameters:
        `sortExpression` - the sortExpression to set

Copyright © 2014. All Rights Reserved.